package com.huashe.park.core.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.huashe.park.core.mapper.ConsUnitMachineRelMapper;
import com.huashe.park.core.service.IConsUnitMachineRelService;
import com.huashe.park.domain.entity.ConsUnitMachineRel;

/**
 * 施工单元桩机关系Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-02-17
 */
@Service
public class ConsUnitMachineRelServiceImpl implements IConsUnitMachineRelService {
    @Autowired
    private ConsUnitMachineRelMapper consUnitMachineRelMapper;

    /**
     * 查询施工单元桩机关系
     * 
     * @param id 施工单元桩机关系主键
     * @return 施工单元桩机关系
     */
    @Override
    public ConsUnitMachineRel selectConsUnitMachineRelById(Long id) {
        return consUnitMachineRelMapper.selectConsUnitMachineRelById(id);
    }

    /**
     * 查询施工单元桩机关系列表
     * 
     * @param consUnitMachineRel 施工单元桩机关系
     * @return 施工单元桩机关系
     */
    @Override
    public List<ConsUnitMachineRel> selectConsUnitMachineRelList(ConsUnitMachineRel consUnitMachineRel) {
        return consUnitMachineRelMapper.selectConsUnitMachineRelList(consUnitMachineRel);
    }

    /**
     * 新增施工单元桩机关系
     * 
     * @param consUnitMachineRel 施工单元桩机关系
     * @return 结果
     */
    @Override
    public int insertConsUnitMachineRel(ConsUnitMachineRel consUnitMachineRel) {
        return consUnitMachineRelMapper.insertConsUnitMachineRel(consUnitMachineRel);
    }

    /**
     * 修改施工单元桩机关系
     * 
     * @param consUnitMachineRel 施工单元桩机关系
     * @return 结果
     */
    @Override
    public int updateConsUnitMachineRel(ConsUnitMachineRel consUnitMachineRel) {
        return consUnitMachineRelMapper.updateConsUnitMachineRel(consUnitMachineRel);
    }

    /**
     * 批量删除施工单元桩机关系
     * 
     * @param ids 需要删除的施工单元桩机关系主键
     * @return 结果
     */
    @Override
    public int deleteConsUnitMachineRelByIds(Long[] ids) {
        return consUnitMachineRelMapper.deleteConsUnitMachineRelByIds(ids);
    }

    /**
     * 删除施工单元桩机关系信息
     * 
     * @param id 施工单元桩机关系主键
     * @return 结果
     */
    @Override
    public int deleteConsUnitMachineRelById(Long id) {
        return consUnitMachineRelMapper.deleteConsUnitMachineRelById(id);
    }

    public int insertConsUnitMachineRelList(List<ConsUnitMachineRel> consUnitMachineRel) {
        return consUnitMachineRelMapper.insertConsUnitMachineRelList(consUnitMachineRel);
    }

    public int deleteConsUnitMachineRelByUnitId(Long id) {
        return consUnitMachineRelMapper.deleteConsUnitMachineRelByUnitId(id);
    }

    @Override
    public List<Long> qryConsUnitMachineRelByUnitId(Long id) {
        return consUnitMachineRelMapper.qryConsUnitMachineRelByUnitId(id);
    }
}
